# Bump commit related to PyPI release 0.0.18
%global rls 259ee672f6c2bb8e4511fe9749b4048ede70af2b

Name:           vex
Version:        0.0.18
Release:        8%{?dist}
Summary:        Run commands in a virtualenv

License:        MIT
URL:            http://github.com/sashahart/%{name}
Source0:        https://github.com/sashahart/%{name}/archive/%{rls}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       python3-virtualenv
Requires:       python3-setuptools

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-mock

%description
Vex is an alternative to virtualenv's 'source wherever/bin/activate'
and `deactivate`, and virtualenvwrapper's `workon`, and also
virtualenv-burrito if you use that.
It works in a more elegant way, though it does less. You might find it
nicer to use. And it works with non-bash shells.

%prep
%autosetup -n %{name}-%{rls}
# Remove bundled egg-info
rm -rf %{name}.egg-info
# Remove useless files (merge info)
rm -rf %{name}/shell_configs/zsh.orig
rm -rf %{name}/shell_configs/fish.orig

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m pytest %{name}/tests/

%files
%doc README.rst
%license LICENSE
%{_bindir}/%{name}
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py?.?.egg-info

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.18-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.0.18-7
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.18-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.0.18-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.18-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Jun 08 2016 Lumir Balhar <lbalhar@redhat.com> - 0.0.18-1
- Initial package.
